<%@ Page language="vb" debug="true" %>


<html>
<head>
<title>ProjectPal - Register New Project</title>
</head>

<body topmargin="0" leftmargin="0" >

<script runat="server">

Sub Page_Load(Sender As Object, E As EventArgs)

if not page.ispostback() then
txtStartDate.text = datetime.today()
txtEndDate.text = datetime.today()
end if

End Sub


Sub btnRegister_Click(sender As Object, e As EventArgs) 

	dim myProject as new ProjectPal.bo.boProject
	dim projectData as new projectpal.bo.structProject()
	dim staffData as new projectpal.bo.structStaff()
	dim stageData as new arraylist()

	'populate staff Data structure
	staffData.id = 0
	staffData.firstname = txtfirstname.Text
	staffData.lastname = txtlastname.Text
	staffData.email = txtemail.Text
	staffData.password = txtpassword1.Text
	staffData.isPM = 1

	
	'populate Project Data structure
	projectData.id = 0
	projectData.name = txtProject.text
	projectData.description = txtDescription.text
	projectData.startDate = txtStartDate.text
	projectData.endDate = txtEndDate.text
	projectData.PMID = 0

	'populate Stages Array
	stageData.add(txtStage1.text)
	stageData.add(txtStage2.text)
	stageData.add(txtStage3.text)
	stageData.add(txtStage4.text)

	if myproject.Create(staffData, projectData, stageData) then
		formsauthentication.SetAuthCookie(txtemail.text, false)
		response.redirect("browser/projectDesk.aspx")
	end if


end sub


Sub btnCancel_Click(sender As Object, e As EventArgs) 

response.redirect("default.aspx")

end sub


Sub btnCalStartDate_Click(sender As Object, e As ImageClickEventArgs) 

calStartDate.SelectedDate = ctype(txtStartDate.text, datetime)
calStartDate.visible = not calStartDate.visible

End Sub

Sub btnCalEndDate_Click(sender As Object, e As ImageClickEventArgs) 

calEndDate.SelectedDate = ctype(txtEndDate.text, datetime)
calEndDate.visible = not calEndDate.visible

End Sub

Sub calStartDate_Changed (sender as Object, e As EventArgs)

txtStartDate.text = calStartDate.SelectedDate.ToShortDateString

end Sub

Sub calEndDate_Changed (sender as Object, e As EventArgs)

txtEndDate.text = calEndDate.SelectedDate.ToShortDateString

end Sub

Sub btnFindEmail_Click(sender As Object, e As ImageClickEventArgs) 

	dim myStaff as new projectpal.bo.bostaff
	dim staffData as new projectpal.bo.structStaff
	
	if myStaff.Authenticate(txtEmail.text, txtPassword1.text) then

		staffData = myStaff.Detail(txtEmail.text)

		txtFirstName.text = staffData.firstname
		txtLastName.text = staffData.lastname

	end if


End Sub


</script>

<form id="registerProject" runat="server">

<table width="1000" border="0" cellspaceing="0" cellpadding="0">
<tr>
<td background="C:\ProjectPal\images\headerback.gif" colspan="3" height="60" >
&nbsp;&nbsp;<img src="../images/logo.gif" width="233" height="41" border="0" alt="">
</td>
</tr>
<tr bgcolor="#191970">
<td colspan="2"  height="36">
<font color="#FFFFFF">
&nbsp;&nbsp;Please enter registration details in form below, once you successfully register the ProjectPal environment will be loaded...
</font>
</td>
</tr>
<tr><td height="10">&nbsp;</td></tr>
<tr>
<td width="1000" align="center">
<table width="600" cellspacing="0" cellpadding="0" border="0">
<tr>
<td width="600" bgcolor="#6495ed" height="26">
<font face="Arial" size="-1" color="#FFFFFF">&nbsp;<b>ProjectPal Registration Form.</b></font>
</td>
</tr>
<tr>
<td valign="top">
<table width="600" cellpadding="2" cellspacing="3"  border="1" bordercolor="#6495ed" >
<tr>
<td height="300" align="left" valign="top" bgcolor="#f5f5f5">

<table cellpadding="6">
<tr>
<td colspan="3">			
<asp:ValidationSummary 	id="valSummary"
DisplayMode="BulletList" 
HeaderText="The Following Data Entry Erors Occured:"
              	Font-Name="verdana" 
Font-Bold="true"
            	Font-Size="10"
              	runat="server"  />
</td>
</tr>



<tr>
<td colspan="45"><h4>Project Information</h4></td>
</tr>

<tr>
<td align="right">Project: </td>
<td colspan="3"><asp:textbox id="txtProject"  columns="40" runat="server" /></td>
</tr>
<tr>
<td align="right">Start Date: </td>
<td>
<asp:textbox id="txtStartDate" columns="15" readonly="true" runat="server" /> 
<asp:ImageButton 	id="btnCalStartDate" 
imageurl="images/calendar.gif"
OnClick="btnCalStartDate_Click" 
causesValidation="false"
runat="server" />
</td>

<td align="right" width="80">End Date: </td>
<td>
<asp:textbox id="txtEndDate" columns="15"  readonly="true" runat="server" />
<asp:ImageButton 	id="btnCalEndDate" 
imageurl="images/calendar.gif"
OnClick="btnCalEndDate_Click" 
causesValidation="false"
runat="server" />
</td>											
</tr>
<tr>
<td colspan="2" align="right">
<asp:calendar 	id="calStartDate" 
visible="false" 
OnSelectionChanged="calStartDate_Changed"
runat="server" />
</td>
<td colspan="2" align="right">
<asp:calendar 	id="calEndDate" 
visible="false" 
OnSelectionChanged="calEndDate_Changed"
runat="server" />
</td>
</tr>

<tr >
<td align="right" valign="top">Description: </td>
<td colspan="3"><asp:textbox id="txtDescription" textMode="MultiLine" columns="50" rows="3" runat="server" /></td>
</tr>

<tr>
<td colspan="4"><hr><h4>Project Stages</h4></td>
</tr>

<tr >
<td align="right" valign="top">Stage 1: </td>
<td><asp:textbox id="txtStage1" columns="20" runat="server" /></td>
<td align="right" valign="top">Stage 2: </td>
<td><asp:textbox id="txtStage2" columns="20" runat="server" /></td>
</tr>
<tr>
<td align="right" valign="top">Stage 3: </td>
<td><asp:textbox id="txtStage3" columns="20" runat="server" /></td>
<td align="right" valign="top">Stage 4: </td>
<td><asp:textbox id="txtStage4" columns="20" runat="server" /></td>
</tr>


<tr>
<td colspan="4"><h4><hr>Manager Information</h4></td>
</tr>

<tr>
<td align="right">Email: </td>
<td><asp:textbox id="txtEmail" columns="25" runat="server" /></td>
<td>
<asp:ImageButton 	id="btnFindEmail" 
					imageurl="images/find.gif"
					OnClick="btnFindEmail_Click" 
					alt="Find Email and Retrive Data"
					causesValidation="false"
					runat="server" />
</td>
<td></td>
</tr>

<tr>
<td align="right">Password: </td>
<td><asp:textbox id="txtPassword1"  columns="20" runat="server" /></td>
<td align="right">Re-Enter Password</td>
<td><asp:textbox id="txtPassword2"  columns="20" runat="server" /></td>
</tr>

<tr>
<td align="right">First Name: </td>
<td><asp:textbox id="txtFirstName" columns="20" runat="server" /></td>
<td align="right">Last Name</td>
<td><asp:textbox id="txtLastName" columns="20" runat="server" /></td>
</tr>




</table>

</td>
</tr>
<tr>
<td hieght="60" align="right" valign="top" bgcolor="#f5f5f5" >

<asp:Button id="btnCancel" 
Text="Cancel" 
OnClick="btnCancel_Click" 
causesValidation="false"
runat="server" />			

<asp:Button id="btnRegister" 
Text="Register Now" 
font-bold="true"
OnClick="btnRegister_Click" 
runat="server" />

</td>
</tr>
</table> 
</td>
</tr>
</table>   
</td>
</tr>
</table>


<asp:RequiredFieldValidator controlToValidate="txtProject" 
errorMessage="Project field must be filled."			
display="None"
runat="server"/>


</form>

</body>
</html>
