<%@ Control language="vb" debug="true"%>

<%@ import namespace="system.data" %>
<%@ import namespace="system.data.SqlClient" %>
<%@ import namespace="projectpal.bo" %>


<%@ register tagprefix="projectpal" tagname="projectInfo" src="../browser/projectInfo.ascx" %>

<script language="VB" runat="server">


Sub Page_Load(Sender As Object, E As EventArgs)

	
  If not page.IsPostback() Then

	dim myStaff as new projectpal.bo.boStaff	

	session("pmMode") = session("isPM")

	if ctype(session("pmMode"), integer) = 1 and myStaff.isProjectStaff(request.servervariables("AUTH_USER")) then
			lblMode.visible = true
			radpmMode.visible = true
			radpmMode.selectedindex = 0
	else
		lblMode.visible = false
		radpmMode.visible = false
	end if
	
	bindData()

  end if

end sub


sub binddata()

 	dim myDataSet as Dataset
	dim myProjects as new ProjectPal.bo.boProject

	if ctype(session("pmMode"), integer) = 1 then
		myDataSet = myProjects.getProjectsAsPM( request.servervariables("AUTH_USER") )
	else
		myDataSet = myProjects.getProjectsAsStaff( request.servervariables("AUTH_USER") )
	end if
  
  	ddlProjectList.DataSource=myDataset
	ddlProjectList.DataTextField="name"
	ddlProjectList.DataValueFIeld="projectID"
	ddlProjectList.DataBind
	  
	if ddlProjectList.items.count > 0 then
		session("projectID") = ddlProjectList.selecteditem.value
		session("projectName") = ddlProjectList.selecteditem.text
	end if
	
end sub



sub ddlProjectListIndexChanged(sender As Object, e As EventArgs)

	session("projectID") = sender.selecteditem.value
	session("projectName") = sender.selecteditem.text

	dim mycontrol = page.findcontrol("projectInfo")
	ctype(mycontrol, ASP.projectInfo_ASCX).UpdateInfo(session("currentPage"))

end sub


Sub radpmMode_Changed (sender As Object, e As EventArgs)        

	if (radpmMode.SelectedIndex = 0) then
		session("pmMode") = 1
	else
		session("pmMode") = 0
	end if

	binddata()

End Sub

</script>




<table width="100%" cellspacing="0" cellpadding="0" border="0">
	<tr bgcolor="#191970">
		<td colspan="1"  height="50">
		<font color="#FFFFFF">&nbsp;<b>Select Project:</b> </font>
		<asp:dropdownlist 	id="ddlProjectList" 
							runat="server" 
							AutoPostBack="true"
							OnSelectedIndexChanged="ddlProjectListIndexChanged"
							width="200"	/>
	
		</td>
		<td align="right">
			<asp:label id="lblMode" forecolor="#ffffff" font-bold="true" text="View data as project:" runat="server" />
		</td>
		<td align="left" >
		
			<asp:RadioButtonList 	id="radpmMode" 
									OnSelectedIndexChanged="radpmMode_Changed"
									Autopostback="true"
									forecolor="#ffffff" 
									runat="server">

            	<asp:ListItem>Manager</asp:ListItem>
            	<asp:ListItem>Member</asp:ListItem>
         	</asp:RadioButtonList>

		</td>
	</tr>

</table>    		

